Plugins Update Errors

I get the following error when trying to auto update any of the WPMU DEV plugins on my site from within the Network Admin panel:

Unpacking the update…

Incompatible Archive. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature
It's getting old having to update these plugins by logging into my server, deleting the outdated plugin folder and then uploading the updated plugin.

WordPress version: 3.1.1
Installation Type: Multisite
PHP Version 5.2.17
MySQL Server 5.1.56

Any help in correcting this issue would be appreciated.